Get User
curl --request GET \
--url https://{tenant_id}.api.useago.com/api/v1/users/{user_id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://{tenant_id}.api.useago.com/api/v1/users/{user_id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://{tenant_id}.api.useago.com/api/v1/users/{user_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "<string>",
"email": "<string>",
"object": "user",
"first_name": "",
"last_name": "",
"is_customer": true,
"email_domain": "<string>",
"organization": {},
"created_at": "<string>",
"ticket_form": {},
"permissions": [
{
"id": "<string>",
"name": "<string>",
"display_name": "<string>"
}
]
}Users
Get User
Get a user by ID, including its currently assigned permissions.
GET
/
api
/
v1
/
users
/
{user_id}
Get User
curl --request GET \
--url https://{tenant_id}.api.useago.com/api/v1/users/{user_id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://{tenant_id}.api.useago.com/api/v1/users/{user_id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://{tenant_id}.api.useago.com/api/v1/users/{user_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "<string>",
"email": "<string>",
"object": "user",
"first_name": "",
"last_name": "",
"is_customer": true,
"email_domain": "<string>",
"organization": {},
"created_at": "<string>",
"ticket_form": {},
"permissions": [
{
"id": "<string>",
"name": "<string>",
"display_name": "<string>"
}
]
}Authorizations
Path Parameters
Response
200 - application/json
OK
Show child attributes
Show child attributes
